package indicator-weather 11.04.10 repack-0ubuntu2 failed to install/upgrade: subprocess installed post-installation script returned error exit status 127

Bug #808387 reported by Richard Mote on 2011-07-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
indicator-weather (Ubuntu)
Medium
Unassigned

Bug Description

The weather indicator failed to install.

ProblemType: Package
DistroRelease: Ubuntu 11.10
Package: indicator-weather 11.04.10+repack-0ubuntu2
ProcVersionSignature: Ubuntu 3.0-3.4-generic 3.0.0-rc5
Uname: Linux 3.0-3-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Sat Jul 9 22:08:16 2011
ErrorMessage: subprocess installed post-installation script returned error exit status 127
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha amd64 (20110628)
PackageArchitecture: all
SourcePackage: indicator-weather
Title: package indicator-weather 11.04.10+repack-0ubuntu2 failed to install/upgrade: subprocess installed post-installation script returned error exit status 127
UpgradeStatus: No upgrade log present (probably fresh install)

Richard Mote (woodrobin) wrote :
Sam_ (and-sam) wrote :

Confirmed. See Bug #804103

Changed in indicator-weather (Ubuntu):
status: New → Incomplete
status: Incomplete → Confirmed

Setting up indicator-weather (11.04.10+repack-0ubuntu2) ...
/var/lib/dpkg/info/indicator-weather.postinst: 23: gtk-update-icon-cache: not found
dpkg: error processing indicator-weather (--configure):
 subprocess installed post-installation script returned error exit status 127

It seems that we need an explicit dependency on libgtk2.0-bin in oneric.

Changed in indicator-weather (Ubuntu):
assignee: nobody → Andrew Starr-Bochicchio (andrewsomething)
Changed in indicator-weather (Ubuntu):
importance: Undecided → Medium
Changed in indicator-weather (Ubuntu):
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-weather - 11.05.31-0ubuntu1

---------------
indicator-weather (11.05.31-0ubuntu1) oneiric; urgency=low

  * New upstream release.
   - Ported settings to dconf, which will solve a number of
     desktopcouch-related bugs
   - Fix for LP: #747733 "indicator-weather crashed with
     TypeError in next_page(): unknown type (null)"
   - Fix for LP: #756704 "Numbers (temperature etc.) do
     not use local number format"
   - Fix for LP: #770652 "sunrise and sunset info incorrect"
   - Fix for LP: #765464 "do not see indicator-weather on the panel"
   - Fix for LP: #769842 "Weather Indicator should clear up corrupted DB"
   - Fix for LP: #778941 "Weather Indicator can't be disabled"
   - Fix for LP: #796314 "ROUND_CEiLiNG error in Turkish locale"
   - Fix for LP: #780973 "indicator-weather crashed with Unauthorized in
     request(): ('unauthorized', 'Authentication required.')"
  * debian/control:
   - Adjust dependencies for desktop-couch to dconf transition.
   - Bump Standards-Version to 3.9.2.
   - Explictily depend on libgtk2.0-bin to ensure we have
     /usr/bin/gtk-update-icon-cache (LP: #808387).
  * Convert from python-support to dh_python2.
  * debian/rules:
   - Drop get-orig-source target, not needed.
   - Fix debian/postinst to check for symbolic links as well.
 -- Andrew Starr-Bochicchio <email address hidden> Tue, 12 Jul 2011 01:44:53 -0400

Changed in indicator-weather (Ubuntu):
status: In Progress → Fix Released

This is obviously not actually fixed. It is in fact a bug in gtk+2.0, which doesn't ship the /usr/bin/gtk-update-icon-cache symlink on architectures other than i386. See bug #810747

Changed in indicator-weather (Ubuntu):
status: Fix Released → Triaged
assignee: Andrew Starr-Bochicchio (andrewsomething) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers